"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("../array/add/first");
require("../array/add/isEmpty");
function compose(...functions) {
    if (functions.isEmpty()) {
        return (argument) => argument;
    }
    if (functions.length === 1) {
        return functions.first();
    }
    return functions.reduce((first, second) => (parameter) => second(first(parameter)));
}
exports.default = compose;
//# sourceMappingURL=compose.js.map